Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname verror

Name:           nodejs-%{srcname}
Version:        1.8.1
Release:        alt1_6
Summary:        Richer JavaScript errors
License:        MIT
URL:            https://github.com/davepacheco/node-verror
Source0:        https://github.com/davepacheco/node-verror/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/joyent/catest/ca138645cc9647d6976063c61fa9f28dd16c5023/catest

BuildArch:      noarch


BuildRequires:  rpm-build-nodejs node-devel
BuildRequires:  coreutils
BuildRequires:  npm(extsprintf)
BuildRequires:  npm(assert-plus)
BuildRequires:  npm(core-util-is)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n node-verror-%{version}

%nodejs_fixdep extsprintf '1.x'
rm -rf node_modules
install -m0755  %{SOURCE1} ./deps/catest

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%{nodejs_symlink_deps}

%check
%{nodejs_symlink_deps} --check
make test

%files
%doc README.md examples/
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.1-alt1_6
- new version

